<?php 

class Forms_FRMCambiarPassword extends AppForm
{
    /**
     * init() hereda de AppForm
     */
    public function init()
    {
    	 parent::init();
        
    	// set the method for the display form to POST
        //$this->setMethod('post');
       
                  
            $this->addElement(
                'PasswordTextBox',
                'clave',
                array(
                    'value'      => '',
                    'label'      => 'Nueva contraseña:',
                    'trim'       => true,
                	'required'	=> true,
                )
            );
            
            $this->addElement(
                'PasswordTextBox',
                'claverep',
                array(
                    'value'      => '',
                    'label'      => 'Repetir contraseña:',
                    'trim'       => true,
                	'required'	=> true,
                	'equalTo'	=> '#clave',
                )
            );       
                   
        
        $this->addElement('submit', 'submit', array(
	        'label'    => 'Guardar',
        ));
    
	   $this->setElementDecorators($this->_tElementDecorators);
	   $this->setDecorators($this->getDecTabla());
       
       $this->submit->setDecorators($this->_tSubmit);
        
       $this->addElement(
                'Hidden',
                'idUsuario',
                array(
                    'value'      => ''               
                )
            ); 
        
	}
}